/* 公共样式 - 顶部 + 底部通用 */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  height: 100%;
  font-family: "Microsoft YaHei", sans-serif;
  /* 防止点击元素出现高亮 */
  -webkit-tap-highlight-color: transparent;
  background-color: #f0f2f5;

}

ul,
ol {
  list-style: none;
}

img {
  border: none;
  vertical-align: middle;
  max-width: 100%;
}

input {
  border: 0;
  background: transparent;
  outline: none;
}

a {
  text-decoration: none;
  color: inherit;
}

button {
  border: none;
  outline: none;
  cursor: pointer;
  padding: 0;
  margin: 0;
}

/* // 单行省略 */
.single-line-text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* // 2行省略 */
.single-line-text2 {
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  align-content: center;
}


.container {
  /* width: 100%; */
  width: 1200px;
  /* max-width: 1200px; */
  margin: 0 auto;
}

.top-bar {
  background: #f5f5f5;
  padding: 8px 0;
  font-size: 12px;
  color: #666;
}

.top-bar .container {
  display: flex;
  justify-content: space-between;
}


/* 面包屑 */
.breadcrumb {
  display: flex;
  gap: 8px;
  color: #666;
  padding: 10px;
}

.breadcrumb a {
  color: #666;
  text-decoration: none;
}

.breadcrumb span {
  /* margin: 0 5px; */
  color: #999;
}

.breadcrumb .active {
  color: #333;
  font-weight: bold;
}